import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

//questa classe estende un JFrame e lo modifica 
public class ModifiedFrame extends JFrame implements ActionListener
{
	
	private ImageIcon icon;
	
	public ModifiedFrame()
	{
		// imposta vari parametri al frame
		icon = new ImageIcon(new ImageIcon(ClassLoader.getSystemResource("key.png")).getImage().getScaledInstance(60, 60, Image.SCALE_DEFAULT)); // prende l'icona
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setTitle("CodeXor");
		this.setIconImage(icon.getImage());
		this.setResizable(true);
		this.setMinimumSize(new Dimension(700, 400));
						
		// crea la MenuBar con i vari JMenu e JMenuItem
		JMenuItem jMenuItemQuit = new JMenuItem("Quit");
		jMenuItemQuit.addActionListener(this);
				
		JMenuItem jMenuItemHelp = new JMenuItem("Help");
		jMenuItemHelp.addActionListener(this);
		
		JMenuItem JMenuItemAbout = new JMenuItem("About");
		JMenuItemAbout.addActionListener(this);
		
		JMenu jMenu1 = new JMenu("File");
		jMenu1.add(jMenuItemQuit);
						
		JMenu jMenu2 = new JMenu("?");
		jMenu2.add(jMenuItemHelp);
		jMenu2.add(JMenuItemAbout);
						
		JMenuBar menuBar = new JMenuBar();
		menuBar.add(jMenu1);
		menuBar.add(jMenu2);
						
		this.setJMenuBar(menuBar);
	}
	
	// apre la finestra About con le informazioni sul software
	private void openAboutDialog()
	{
		String info = "<html>CodeXor<br>Version: 1.0 (Build 1200)<br>Authors: Luca Morreale, Grigori Valenti ";
		JLabel infoLabel = new JLabel(info);
		infoLabel.setFont(new Font("Dialog", Font.BOLD, 12));
		JOptionPane.showMessageDialog(this, infoLabel, "About", JOptionPane.INFORMATION_MESSAGE, icon);
	}

	@Override
	public void actionPerformed(ActionEvent e) 
	{
		if(e.getActionCommand() == "Quit") // se viene premuto il bottone "Quit"
			System.exit(0); // esce dal programma
		else if(e.getActionCommand() == "Help") // se viene premuto il tasto "Help"
			GUI.openCloseHelpPanel(); // apre o chiude il pannello dell'help
		else if(e.getActionCommand() == "About") // se viene premuto il tasto "About"
			openAboutDialog(); // apre la finestra About
	}
}
