import java.awt.*;
import javax.swing.*;

// questa classe estende JPanel e gli imposta un'immagine di sfondo
public class ImagePanel extends JPanel
{
	private Image image; // immagine di sfondo

	public ImagePanel(String path)
	{
		image = new ImageIcon(ClassLoader.getSystemResource(path)).getImage();
		changeImage(image);
    }
	
	private void changeImage(Image img)
	{
		try 
		{
	      	MediaTracker track = new MediaTracker(this);
	      	track.addImage(img, 0);
	      	track.waitForID(0);
    	}
		catch (InterruptedException e) 
		{
			e.printStackTrace();
    	}
  	}

	protected void paintComponent(Graphics g) // imposta l'immagine come sfondo
	{
    	setOpaque(false);
    	Dimension d = getSize();
		g.drawImage(image,0,0,d.width,d.height,this);
    	super.paintComponent(g);
    }

}